Std New: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
 
(40 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}
<translate>
<translate>

<!--T:7-->
{{Docnav
|
|[[Std_Open|Open]]
|[[Std_File_Menu|Std File Menu]]
|IconL=
|IconR=Std_Open.svg
|IconC=Freecad.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Std New
|Name=Std New
|MenuLocation=[[Std_File_Menu|File]] → New
|MenuLocation=File → New
|Workbenches=All
|Workbenches=All
|Shortcut={{KEY|Ctrl}}+{{KEY|N}}
|Shortcut={{KEY|Ctrl}}+{{KEY|N}}
|SeeAlso=[[Std Open]], [[Std Import]]
|SeeAlso=[[Std_Open|Std Open]], [[Std_Import|Std Import]]
}}
}}


==Description== <!--T:2-->
==Description== <!--T:2-->

Creates a new empty document. FreeCAD can also be configured to automatically create a new empty document on startup. This can be done by checking the appropriate setting in {{MenuCommand|Edit → Preferences → General → Document tab}}.
<!--T:8-->
The '''Std New''' command creates a new empty document and makes it the active document.


==Usage== <!--T:4-->
==Usage== <!--T:4-->
# Invoke the command several ways:
#* Pressing the {{KEY|[[File:Std New.png|16px|Std New|link=Std New]] [[Std New|Std New]]}} button in the toolbar
#* Using the {{KEY|Ctrl}}+{{KEY|N}} keyboard shortcut
#* {{MenuCommand|[[Std_File_Menu|File]] → New}}


==Scripting== <!--T:5-->
<!--T:9-->
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_New.svg|16px]] [[Std_New|New]]}} button.
#* Select the {{MenuCommand|File → [[Image:Std_New.svg|16px]] New}} option from the menu.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|N}}.


<!--T:3-->
==Preferences== <!--T:10-->

{{Std Base navi}}
<!--T:19-->
See also: [[Preferences_Editor|Preferences Editor]].

<!--T:11-->
* By default FreeCAD start without a new document. Check the {{MenuCommand|Edit → Preferences... → General → Document → Create new document at start up}} option to change this behavior.
* Some document properties: author name, company name and license information, can be preset: {{MenuCommand|Edit → Preferences... → General → Document → Authoring and License}}.

==Properties== <!--T:12-->

<!--T:13-->
Most properties can also be changed in the dialog box of the [[Std_ProjectInfo|Std ProjectInfo]] command.

===Data=== <!--T:20-->

<!--T:21-->
{{TitleProperty|Base}}

<!--T:14-->
* {{PropertyData|Comment|String}}: Any comment that may apply.
* {{PropertyData|Company|String}}: Company name.
* {{PropertyData|Created By|String}}: Author name.
* {{PropertyData|Creation Date|String}}: Automatic date stamp (read-only).
* {{PropertyData|File Name|String}}: The full path of the file. Blank if the document has not been saved (read-only).
* {{PropertyData|Id|String}}: Not implemented yet.
* {{PropertyData|Label|String}}: The name that will appear in the [[Tree_view|Tree view]]. Replaced by the name of the document after reopening.
* {{PropertyData|Last Modified By|String}}: Author name.
* {{PropertyData|Last Modified Date|String}}: Automatic date stamp (read-only).
* {{PropertyData|License|String}}: License type.
* {{PropertyData|License URL|String}}: License URL.
* {{PropertyData|Material|Map|Hidden}}: Map with material properties.
* {{PropertyData|Meta|Map|Hidden}}: Map with additional meta information.
* {{PropertyData|Show Hidden|Bool}}: If true, items that have been hidden in the [[Tree_view|Tree view]] will be displayed anyway. Hiding items in the tree can be useful when working on larger models.
* {{PropertyData|Tip|Link}}: Not implemented yet.
* {{PropertyData|Tip Name|String}}: Not implemented yet.
* {{PropertyData|Transient Dir|String}}: The transient directory used for recovery data (read-only).
* {{PropertyData|Uid|UUID|Hidden}}: UUID of the document (read-only).
* {{PropertyData|Unit System|Enumeration}}: The document unit system. Initial value depends on the [[Preferences_Editor#General_2|Default unit system]]. {{Version|1.0}}

==Scripting== <!--T:15-->

<!--T:16-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:17-->
To create a new document use the {{incode|newDocument([name], [hidden<nowiki>=</nowiki>False])}} method of the FreeCAD application. The document name must be unique, which is checked automatically. If no name is supplied, the document will be named "Untitled". If {{incode|hidden<nowiki>=</nowiki>True}} is used, the new document won't be displayed in the GUI and no tab will appear for it.

</translate>
{{Code|code=
import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)
}}
<translate>


<!--T:18-->
{{Docnav
|
|[[Std_Open|Open]]
|[[Std_File_Menu|Std File Menu]]
|IconL=
|IconR=Std_Open.svg
|IconC=Freecad.svg
}}


<!--T:6-->
{{Userdocnavi}}
</translate>
</translate>
{{Std_Base_navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:48, 21 April 2024

Std New

Menu location
File → New
Workbenches
All
Default shortcut
Ctrl+N
Introduced in version
-
See also
Std Open, Std Import

Description

The Std New command creates a new empty document and makes it the active document.

Usage

  1. There are several ways to invoke the command:
    • Press the New button.
    • Select the File → New option from the menu.
    • Use the keyboard shortcut: Ctrl+N.

Preferences

See also: Preferences Editor.

  • By default FreeCAD start without a new document. Check the Edit → Preferences... → General → Document → Create new document at start up option to change this behavior.
  • Some document properties: author name, company name and license information, can be preset: Edit → Preferences... → General → Document → Authoring and License.

Properties

Most properties can also be changed in the dialog box of the Std ProjectInfo command.

Data

Base

  • DataComment (String): Any comment that may apply.
  • DataCompany (String): Company name.
  • DataCreated By (String): Author name.
  • DataCreation Date (String): Automatic date stamp (read-only).
  • DataFile Name (String): The full path of the file. Blank if the document has not been saved (read-only).
  • DataId (String): Not implemented yet.
  • DataLabel (String): The name that will appear in the Tree view. Replaced by the name of the document after reopening.
  • DataLast Modified By (String): Author name.
  • DataLast Modified Date (String): Automatic date stamp (read-only).
  • DataLicense (String): License type.
  • DataLicense URL (String): License URL.
  • Data (Hidden)Material (Map): Map with material properties.
  • Data (Hidden)Meta (Map): Map with additional meta information.
  • DataShow Hidden (Bool): If true, items that have been hidden in the Tree view will be displayed anyway. Hiding items in the tree can be useful when working on larger models.
  • DataTip (Link): Not implemented yet.
  • DataTip Name (String): Not implemented yet.
  • DataTransient Dir (String): The transient directory used for recovery data (read-only).
  • Data (Hidden)Uid (UUID): UUID of the document (read-only).
  • DataUnit System (Enumeration): The document unit system. Initial value depends on the Default unit system. introduced in version 1.0

Scripting

See also: FreeCAD Scripting Basics.

To create a new document use the newDocument([name], [hidden=False]) method of the FreeCAD application. The document name must be unique, which is checked automatically. If no name is supplied, the document will be named "Untitled". If hidden=True is used, the new document won't be displayed in the GUI and no tab will appear for it.

import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)